TCUCODEC(1)

NAME
tcucodec - popular encoders and decoders

DESCRIPTION

The command `tcucodec' is a tool to use encoding and decoding features. This command is used in the following format. `file' specifies a input file. If it is omitted, the standard input is read.

    tcucodec url [-d] [-br] [-rs base] [file]
        Perform URL encoding and its decoding.
    tcucodec base [-d] [file]
        Perform Base64 encoding and its decoding.
    tcucodec quote [-d] [file]
        Perform quoted-printable encoding and its decoding.
    tcucodec mime [-d] [-en name] [-q] [-on] [-hd] [-bd] [-part num] [file]
        Perform MIME encoding and its decoding.
    tcucodec hex [-d] [file]
        Perform hexadecimal encoding and its decoding.
    tcucodec pack [-d] [-bwt] [file]
        Perform Packbits encoding and its decoding.
    tcucodec tcbs [-d] [file]
        Perform TCBS encoding and its decoding.
    tcucodec zlib [-d] [-gz] [file]
        Perform ZLIB encoding and its decoding.
    tcucodec bzip [-d] [file]
        Perform BZIP2 encoding and its decoding.
    tcucodec xml [-d] [-br] [file]
        Process XML. By default, escape meta characters.
    tcucodec cstr [-d] [-js] [file]
        Perform C-string escaping and its unescaping.
    tcucodec ucs [-d] [-un] [-kw str] [file]
        Convert UTF-8 string into UCS-2 array.
    tcucodec hash [-crc] [-ch num] [file]
        Calculate the hash value. By default, use MD5 function.
    tcucodec cipher [-key str] [file]
        Perform stream cipher and its decipher.
    tcucodec date [-ds str] [-jl num] [-wf] [-rf]
        Process date string. By default, print the current UNIX time.
    tcucodec tmpl [-var name value] [file]
        Perform template serialization.
    tcucodec conf [-v|-i|-l|-p]
        Print some configurations.

Options feature the following.

    -d : perform decoding (unescaping), not encoding (escaping).
    -br : break up URL or XML into elements.
    -rs base : specify the base URL and resolve the relative URL.
    -en name : specify the input encoding, which is UTF-8 by default.
    -q : use quoted-printable encoding, which is Base64 by default.
    -on : output the charset name when decoding.
    -bd : perform MIME parsing and output the body.
    -hd : perform MIME parsing and output the headers.
    -part num : perform MIME parsing and output the specified part.
    -bwt : convert by BWT as preprocessing.
    -gz : use GZIP format.
    -crc : use CRC32 function.
    -js : use JSON compatible format.
    -un : perform UCS normalization.
    -kw str : generate KWIC string.
    -ch num : use consistent hashing function.
    -key str : specify the cipher key.
    -ds str : specify the time.
    -jl num : specify the jet lag.
    -wf : format the output in W3CDTF.
    -rf : format the output in RFC 1123 format.
    -var name value : specify a template variable.
    -v : show the version number of Tokyo Cabinet.
    -i : show options to include the headers of Tokyo Cabinet.
    -l : show options to link the library of Tokyo Cabinet.
    -p : show the directory path of the commands of Tokyo Cabinet.

This command returns 0 on success, another on failure.

SEE ALSO

tcutest(1), tcumttest(1), tcutil(3), tokyocabinet(3)